## usbio-drivers 0~git202312141918.78ffb706

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2023 Intel Corporation.

ifeq ($(KERN_VER),$(EMPTY_STR))
KERNELRELEASE ?= $(shell uname -r)
else
KERNELRELEASE ?= $(KERN_VER)
endif

obj-m += usbio.o
usbio-y := drivers/mfd/usbio.o

obj-m += gpio-usbio.o
gpio-usbio-y := drivers/gpio/gpio-usbio.o

obj-m += i2c-usbio.o
i2c-usbio-y := drivers/i2c/busses/i2c-usbio.o

KERNELRELEASE ?= $(shell uname -r)
KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
PWD := $(shell pwd)

ccflags-y += -I$(src)/include/

all:
	$(MAKE) -C $(KERNEL_SRC) M=$(PWD) modules

modules_install:
	$(MAKE) INSTALL_MOD_DIR=/updates -C $(KERNEL_SRC) M=$(PWD) modules_install

clean:
	$(MAKE) -C $(KERNEL_SRC) M=$(PWD) clean

=== debian/changelog ===
usbio-drivers (0~git202312141918.78ffb706-0ubuntu2) noble; urgency=low

  [ You-Sheng Yang ]
  * Failed to build against v6.8-rcX: multiple failures (LP: #2054537)
    - backport: replace strlcpy with strscpy

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 21 Feb 2024 20:40:31 +0800

usbio-drivers (0~git202312141918.78ffb706-0ubuntu1) noble; urgency=low

  [ You-Sheng Yang ]

  * Initial release. (LP: #2041800)
    - Upstream WW50'23-USBIO-PV release
  * debian/patches
    - dkms: correct package info
    - dkms: add BUILD_EXCLUSIVE_CONFIG

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 03 Jan 2024 15:47:04 +0800

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

DKMS_PACKAGE_NAME = $(shell grep '^PACKAGE_NAME=' dkms.conf | cut -d\" -f2)
DKMS_PACKAGE_VERSION = $(DEB_VERSION)

generated_dkms_files = \
  debian/intel-usbio-dkms.install \
  $(empty)

%:
	dh $@ --with dkms,modaliases

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_dkms: dkms.conf
	dh_dkms -V $(DKMS_PACKAGE_VERSION) -- dkms.conf

override_dh_install: debian/intel-usbio-dkms.install
	dh_install --exclude=.gitignore

override_dh_clean:
	-rm -f $(generated_dkms_files)
	dh_clean

$(generated_dkms_files) : $(generated_dkms_files:=.in) debian/rules
	sed -e 's,@DKMS_PACKAGE_NAME@,$(DKMS_PACKAGE_NAME),g' \
	    -e 's,@DKMS_PACKAGE_VERSION@,$(DKMS_PACKAGE_VERSION),g' \
	    <$(@:=.in) >$@

## usbio-drivers 0~git202408092230.70c524c5

=== debian/changelog ===
usbio-drivers (0~git202408092230.70c524c5-0ubuntu1.1) oracular; urgency=low

  * Support USB 06cb:0701 Synaptics, Inc. SVP7500 (LP: #2080622)
    - SAUCE: mfd: usbio: added Sabre HWID for LNL
    - SAUCE: mfd: usbio: W/A to reorder HWID

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Tue, 15 Oct 2024 22:45:44 +0800

usbio-drivers (0~git202408092230.70c524c5-0ubuntu1) oracular; urgency=low

  [ You-Sheng Yang ]
  * New upstream WW3224-USBIO-PV-HFIX1 release (LP: #2076263, LP: #2060101)
    - debian: refresh patches
    - UBUNTU: SAUCE: correct modaliases
  * mfd: usbio: gpio read payload reduces 4 bytes (LP: #2071821)
  * debian: drop --with dkms from rules

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 12 Aug 2024 14:51:05 +0800

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
   $(empty)
 
 %:
-	dh $@ --with dkms,modaliases
+	dh $@ --with modaliases
 
 override_dh_auto_configure:
 override_dh_auto_build:

## usbio-drivers 0~git202410311813.266ae665

=== debian/changelog ===
usbio-drivers (0~git202410311813.266ae665-0ubuntu3~25.04.1) plucky; urgency=medium

  * Fix wrong packet header size calculation (LP: #2102186)
    - drop previous hack d/p/0003-mfd-usbio-gpio-read-payload-reduces-4-bytes.patch
    - add d/p/0006-usbio-fix-control-xfer-header-size.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 17 Jun 2025 23:13:02 +0800

usbio-drivers (0~git202410311813.266ae665-0ubuntu2) plucky; urgency=medium

  * Add device IDs for Intell Arrow Lake platform (LP: #2103490)

  * Add package modalias for 06CB:0701 (LP: #2100830)

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 04 Mar 2025 13:50:38 +0800

usbio-drivers (0~git202410311813.266ae665-0ubuntu1) plucky; urgency=medium

  * New upstream WW43-24_USBIO_HotFix_enable_Sabre release (LP: #2085845)
    - debian: refresh patches

  * dkms: use upstream version as dkms version

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 20 Nov 2024 14:46:53 +0800

usbio-drivers (0~git202408092230.70c524c5-0ubuntu2) plucky; urgency=low

  * Support USB 06cb:0701 Synaptics, Inc. SVP7500 (LP: #2080622)
    - SAUCE: mfd: usbio: added Sabre HWID for LNL
    - SAUCE: mfd: usbio: W/A to reorder HWID

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Tue, 15 Oct 2024 22:45:44 +0800

=== debian/control ===
Source: usbio-drivers
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: You-Sheng Yang <vicamo.yang@canonical.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-modaliases,
 dkms,
 dh-sequence-dkms,
 quilt,
Standards-Version: 4.6.1.0
Homepage: https://github.com/intel/usbio-drivers
Vcs-Browser: https://github.com/intel/usbio-drivers/tree/main
Vcs-Git: https://github.com/intel/usbio-drivers.git

Package: intel-usbio-dkms
Architecture: amd64
Depends:
 dkms,
 ${misc:Depends},
Provides: usbio-modules
XB-Modaliases: ${modaliases}
Description: USBIO Bridge drivers for Intel MeteoLake platform with Lattice AIC
 This package provides kernel drivers for MIPI cameras through the Intel IPU6
 on Intel MeteoLake platform with Lattice AIC.

## usbio-drivers 0~git202502252108.4fb690c6

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0
 # Copyright (c) 2023 Intel Corporation.
-
-ifeq ($(KERN_VER),$(EMPTY_STR))
-KERNELRELEASE ?= $(shell uname -r)
-else
-KERNELRELEASE ?= $(KERN_VER)
-endif
 
 obj-m += usbio.o
 usbio-y := drivers/mfd/usbio.o

=== debian/changelog ===
usbio-drivers (0~git202502252108.4fb690c6-0ubuntu1) questing; urgency=medium

  * New upstream WW11_25_usbio_arl_enable release (LP: #2101850)
    - Drop upstreamed patches
      - d/p/0005-usbio-HWID-for-ArrowLake-platform.patch
      - d/p/0006-usbio-fix-control-xfer-header-size.patch

  * Fix build against linux-6.17 (LP: #2120461)
    - d/p/backport-fix-build-against-kernel-6.17.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 10 Jul 2025 23:36:24 +0800

usbio-drivers (0~git202410311813.266ae665-0ubuntu3) questing; urgency=medium

  * Fix wrong packet header size calculation (LP: #2102186)
    - drop previous hack d/p/0003-mfd-usbio-gpio-read-payload-reduces-4-bytes.patch
    - add d/p/0006-usbio-fix-control-xfer-header-size.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 17 Jun 2025 23:13:02 +0800

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 DKMS_PACKAGE_NAME = $(shell grep '^PACKAGE_NAME=' dkms.conf | cut -d\" -f2)
-DKMS_PACKAGE_VERSION = $(DEB_VERSION)
+DKMS_PACKAGE_VERSION = $(DEB_VERSION_UPSTREAM)
 
 generated_dkms_files = \
   debian/intel-usbio-dkms.install \

## usbio-drivers 0~git202510282139.ee221eca

=== Makefile ===
# Copyright (c) 2025 Intel Corporation.
# SPDX-License-Identifier: GPL-2.0

obj-m += usbio.o
usbio-y := drivers/usb/misc/usbio.o

obj-m += gpio-usbio.o
gpio-usbio-y := drivers/gpio/gpio-usbio.o

obj-m += i2c-usbio.o
i2c-usbio-y := drivers/i2c/busses/i2c-usbio.o

KERNELRELEASE := $(shell uname -r)
KDIR := /lib/modules/$(KERNELRELEASE)/build
PWD := $(shell pwd)

ccflags-y += -I$(src)/include/

all:
	$(MAKE) -C $(KDIR) M=$(PWD) modules

modules_install:
	$(MAKE) -C $(KDIR) M=$(PWD) modules_install

clean:
	$(MAKE) -C $(KDIR) M=$(PWD) clean

=== debian/changelog ===
usbio-drivers (0~git202510282139.ee221eca-0ubuntu1) resolute; urgency=medium

  * New upstream WW44.4_25_ptl_pv tag release (LP: #2134604)
    - debian: refresh patches
    - drop 0004-UBUNTU-SAUCE-correct-modaliases.patch,
      backport-fix-build-against-kernel-6.17.patch as they're either no longer
      effective, or applied in the upstream.
    - UBUNTU: SAUCE: dkms: allow overriding variables from dkms

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 16 Dec 2025 17:33:05 +0800
